/** Blog Editor Styles **/
.post-type-post .editor-styles-wrapper .is-root-container,
.post-type-post .editor-styles-wrapper .editor-visual-editor__post-title-wrapper {
    max-width: 788px!important;
    margin-inline: auto;
}

.post-type-post .editor-styles-wrapper .editor-visual-editor__post-title-wrapper {
    font-size: var(--fs-headline-h1);
    line-height: 1.1;
    text-align: center;
}

/* Sticky Menu In-Editor */
.editor-styles-wrapper .header__sticky {
	position: relative!important;
}
/** Placeholder block Styles **/
.editor-styles-wrapper .bwd-placeholder-block {
	--_placeholder-icon: #032eb2;
	--_placeholder-surface: #f8faff;
	--_placeholder-border: #dae3ff;
	padding: var(--space-s);
	border-radius: var(--radius-m);
	background: var(--_placeholder-surface);
	border: 2px solid var(--_placeholder-border);
	display: flex;
	align-items: center;
	gap: 1rem;
}

.editor-styles-wrapper .bwd-placeholder-block[data-type="error"] {
	--_placeholder-icon: #fa0c00;
	--_placeholder-border: #e3938f;
	--_placeholder-surface: #feebea;
}

.editor-styles-wrapper .bwd-placeholder-block[data-type="warning"] {
	--_placeholder-icon: #ff6608;
	--_placeholder-border: #e3af8f;
	--_placeholder-surface: #fef6ea;
}	

.editor-styles-wrapper .bwd-placeholder-block__icon {
	width: 2em;
	height: 2em;
	color: var(--_placeholder-icon);
}

/** Display Screen Reader Text In-Editor **/
.editor-styles-wrapper .screen-reader-text,
.editor-styles-wrapper .screen-reader-text span {
  clip: unset;
  clip-path: unset;
  height: unset;
  margin: unset;
  overflow: unset;
  padding: unset;
  position: unset;
  width: unset;
  word-wrap: unset!important;
}

.editor-styles-wrapper .screen-reader-text:not(:has(span)):before,
.editor-styles-wrapper .screen-reader-text > span:before {
	content: '[SRT] ';
	font-size: 1rem !important;
}

.editor-styles-wrapper .screen-reader-text:not(:has(span)):after,
.editor-styles-wrapper .screen-reader-text > span:after {
	content: ' [/SRT]';
	font-size: 1rem !important;
}

/* Disable parent terms for Template Taxonomy */
[aria-label="Templates"] > .editor-post-taxonomies__hierarchical-terms-choice > .components-base-control .components-checkbox-control__input-container {
    display: none;
}

[aria-label="Templates"] > .editor-post-taxonomies__hierarchical-terms-choice > .components-base-control label {
    font-weight: bold;
    pointer-events: none;
}

.block-library-heading-level-dropdown .components-dropdown-menu__menu-item:first-child {
    display: none;
}

/* Disable in-editor Add New */
.bwd-limited-access [aria-label="Statuses"] + .components-flex-item,
.bwd-limited-access [aria-label="Templates"] + .components-flex-item,
.bwd-limited-access [aria-label="Resource Types"] + .components-flex-item {
	display: none;
}

/** Admin Bar Separator **/
#wp-admin-bar-bwd_access .ab-submenu .bwd-separator:after {
    border-bottom: 1px solid hsla(0, 0%, 100%, .2);
    display: block;
    margin: 8px -10px 8px;
    content: "";
    width: calc(100% + 20px);
}

/*** WP 6.7 Backend Issues ***/

/* Width Editor Styles */
.editor-styles-wrapper .gb-container>.wp-block.margin-auto {
	margin: 0 auto;
}

.editor-styles-wrapper .width-2xs {
  --content-width: var(--width-2xs);
}

.editor-styles-wrapper .width-xs {
  --content-width: var(--width-xs);
}

.editor-styles-wrapper .width-s {
  --content-width: var(--width-s);
}

.editor-styles-wrapper .width-m {
  --content-width: var(--width-m);
}

.editor-styles-wrapper .width-tb {
  --content-width: var(--width-tb);
}

.editor-styles-wrapper .width-d {
  --content-width: var(--width-d);
}

.editor-styles-wrapper .width-l {
  --content-width: var(--width-l);
}

.editor-styles-wrapper .width-xl {
  --content-width: var(--width-xl);
}

.editor-styles-wrapper .width-max {
  --content-width: var(--width-max);
}

/*** List reset ***/
:where(.editor-styles-wrapper) ol.list-reset,
:where(.editor-styles-wrapper) ul.list-reset,
:where(.editor-styles-wrapper) .list-reset ol,
:where(.editor-styles-wrapper) .list-reset ul {
	padding-left: 0px;
	margin: 0;
    list-style: none;
}

/* Opacity Drafted GP elements */
.post-type-gp_elements .status-draft:not(:is(:hover, :focus)) td,
.post-type-page .status-draft:not(:is(:hover, :focus)) td {
    opacity: 0.3
}
